OpenJPEG: opj_includes.h File Reference

OpenJPEG 2.5.4

Macros | Typedefs | Functions
opj_includes.h File Reference
`#include "opj_config_private.h"`
`#include <memory.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <math.h>`
`#include <float.h>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <ctype.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include <stdint.h>`
`#include <inttypes.h>`
`#include "openjpeg.h"`
`#include "opj_clock.h"`
`#include "opj_malloc.h"`
`#include "event.h"`
`#include "function_list.h"`
`#include "bio.h"`
`#include "cio.h"`
`#include "thread.h"`
`#include "tls_keys.h"`
`#include "image.h"`
`#include "invert.h"`
`#include "j2k.h"`
`#include "jp2.h"`
`#include "mqc.h"`
`#include "pi.h"`
`#include "tgt.h"`
`#include "tcd.h"`
`#include "t1.h"`
`#include "dwt.h"`
`#include "t2.h"`
`#include "mct.h"`
`#include "opj_intmath.h"`
`#include "sparse_array.h"`
`#include "openjpwl/jpwl.h"`
`#include "opj_codec.h"`

Go to the source code of this file.

## Macros
#define | OPJ_FSEEK(stream, offset, whence)
#define | OPJ_FSTAT(fildes, stat_buff)
#define | OPJ_FTELL(stream)
#define | OPJ_STAT_STRUCT_T struct stat
#define | OPJ_STAT(path, stat_buff)
#define | OPJ_RESTRICT /* restrict */
#define | OPJ_NOSANITIZE(kind)
#define | OPJ_UNUSED(x)

## Typedefs
typedef unsigned int | OPJ_BITFIELD

## Functions
static INLINE long | opj_lrintf (float f)

## Macro Definition Documentation

## ◆ OPJ_FSEEK

#define OPJ_FSEEK | ( |  | stream,
|  |  | offset,
|  |  | whence )

Value:
fseek(stream,offset,whence)

Referenced by opj_get_data_length_from_file(), opj_seek_from_file(), and opj_skip_from_file().

## ◆ OPJ_FSTAT

#define OPJ_FSTAT | ( |  | fildes,
|  |  | stat_buff )

Value:
fstat(fildes,stat_buff)

## ◆ OPJ_FTELL

#define OPJ_FTELL | ( |  | stream | ) |

Value:
ftell(stream)

Referenced by opj_get_data_length_from_file().

## ◆ OPJ_NOSANITIZE

#define OPJ_NOSANITIZE | ( |  | kind | ) |

## ◆ OPJ_RESTRICT

#define OPJ_RESTRICT /* restrict */

Referenced by opj_dwt97_decode_h_func(), opj_dwt97_decode_v_func(), opj_dwt_decode_partial_97(), opj_dwt_decode_real(), opj_dwt_decode_tile(), opj_dwt_decode_tile_97(), opj_dwt_deinterleave_h(), opj_dwt_deinterleave_v_cols(), opj_dwt_encode_and_deinterleave_h_one_row(), opj_dwt_encode_and_deinterleave_h_one_row_real(), opj_dwt_encode_and_deinterleave_v(), opj_dwt_encode_and_deinterleave_v_real(), opj_dwt_encode_h_func(), opj_dwt_encode_procedure(), opj_dwt_fetch_cols_vertical_pass(), opj_dwt_max_resolution(), opj_mct_decode(), opj_mct_decode_real(), opj_mct_encode(), opj_mct_encode_real(), opj_sparse_array_int32_read_or_write(), opj_t1_cblk_encode_processor(), opj_t1_clbl_decode_processor(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_v8dwt_decode(), opj_v8dwt_decode_step1(), opj_v8dwt_interleave_h(), opj_v8dwt_interleave_partial_v(), and opj_v8dwt_interleave_v().

## ◆ OPJ_STAT

#define OPJ_STAT | ( |  | path,
|  |  | stat_buff )

Value:
stat(path,stat_buff)

## ◆ OPJ_STAT_STRUCT_T

#define OPJ_STAT_STRUCT_T struct stat

## ◆ OPJ_UNUSED

#define OPJ_UNUSED | ( |  | x | ) |

Value:
(void)x

## Typedef Documentation

## ◆ OPJ_BITFIELD

typedef unsigned int OPJ_BITFIELD

## Function Documentation

## ◆ opj_lrintf()

INLINE long opj_lrintf | ( | float | f | ) |
| static

References INLINE.

Referenced by opj_t1_cblk_encode_processor(), and opj_tcd_dc_level_shift_decode().